Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.menu.event
Class MenuListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.menu.event.MenuListenerAdapter

All Implemented Interfaces:
  MenuListener

    public class MenuListenerAdapter

extends java.lang.Object
implements MenuListener

Constructor Summary
`MenuListenerAdapter()`

Method Summary
`void` | `doBeforeHide(Menu menu)` Fires before this menu is hidden.
`void` | `doBeforeShow(Menu menu)` Fires before this menu is displayed.
`void` | `onClick(Menu menu, java.lang.String menuItemId, EventObject e)` Fires when this menu is clicked (or when the enter key is pressed while it is active).
`void` | `onHide(Menu menu)` Fires after this menu is hidden.
`void` | `onItemClick(BaseItem item, EventObject e)` Fires when a menu item contained in this menu is clicked.
`void` | `onMouseOut(Menu menu, BaseItem menuItem, EventObject e)` Fires when the mouse exits this menu.
`void` | `onMouseOver(Menu menu, BaseItem menuItem, EventObject e)` Fires when the mouse is hovering over this menu.
`void` | `onShow(Menu menu)` Fires after this menu is displayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuListenerAdapter

    public MenuListenerAdapter()

Method Detail

### doBeforeHide

    public void doBeforeHide(Menu menu)

  Description copied from interface: `MenuListener`
  Fires before this menu is hidden.

  Specified by:
    `doBeforeHide` in interface `MenuListener`
  Parameters:
    `menu` - this

### doBeforeShow

    public void doBeforeShow(Menu menu)

  Description copied from interface: `MenuListener`
  Fires before this menu is displayed.

  Specified by:
    `doBeforeShow` in interface `MenuListener`
  Parameters:
    `menu` - this

### onClick

    public void onClick(Menu menu,
                        java.lang.String menuItemId,
                        EventObject e)

  Description copied from interface: `MenuListener`
  Fires when this menu is clicked (or when the enter key is pressed while it is active).

  Specified by:
    `onClick` in interface `MenuListener`
  Parameters:
    `menu` - this
    `menuItemId` - the menu item ID
    `e` - the event object

### onHide

    public void onHide(Menu menu)

  Description copied from interface: `MenuListener`
  Fires after this menu is hidden.

  Specified by:
    `onHide` in interface `MenuListener`
  Parameters:
    `menu` - this

### onItemClick

    public void onItemClick(BaseItem item,
                            EventObject e)

  Description copied from interface: `MenuListener`
  Fires when a menu item contained in this menu is clicked.

  Specified by:
    `onItemClick` in interface `MenuListener`
  Parameters:
    `item` - the clicked item
    `e` - the event object

### onMouseOut

    public void onMouseOut(Menu menu,
                           BaseItem menuItem,
                           EventObject e)

  Description copied from interface: `MenuListener`
  Fires when the mouse exits this menu.

  Specified by:
    `onMouseOut` in interface `MenuListener`
  Parameters:
    `menu` - this
    `menuItem` - the menu item
    `e` - the event object

### onMouseOver

    public void onMouseOver(Menu menu,
                            BaseItem menuItem,
                            EventObject e)

  Description copied from interface: `MenuListener`
  Fires when the mouse is hovering over this menu.

  Specified by:
    `onMouseOver` in interface `MenuListener`
  Parameters:
    `menu` - this
    `menuItem` - the menu item
    `e` - the event object

### onShow

    public void onShow(Menu menu)

  Description copied from interface: `MenuListener`
  Fires after this menu is displayed.

  Specified by:
    `onShow` in interface `MenuListener`
  Parameters:
    `menu` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD